BASE=/mnt/gbatmp/psx-rerec/output
AVIOUT="test0.avi"

UTILDIR=recording-showcase

$UTILDIR/stitch < $BASE.log > $BASE.tmp

egrep "< Video|^#" $BASE.tmp | sed 's/Video//' | while read line;do
  echo $UTILDIR/"$line" $BASE.vid
done > $BASE.vidcmd

egrep "< Audio|^#" $BASE.tmp | sed 's/Audio//' | while read line;do
  echo $UTILDIR/"$line" $BASE.aud
done > $BASE.audcmd

rm -f $BASE.tmp

chmod +x $BASE.vidcmd $BASE.audcmd

rm -f s.log
mkfifo s.log

(sh -c $BASE.audcmd > s.log) &

(sh -c $BASE.vidcmd) | \
	mencoder - -demuxer h264es \
	-nocache \
	-audiofile s.log \
	-audio-demuxer rawaudio \
	-rawaudio channels=2:rate=44100:samplesize=2:bitrate=$[44100*4] \
	-oac mp3lame -lameopts aq=0:preset=64 \
	-ovc copy -mc 0 \
	-o "$AVIOUT"
